Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.deployment.jboss
Class DeploymentContext

    java.lang.Object
      org.jboss.portal.server.deployment.jboss.DeploymentContext

    public class DeploymentContext

extends java.lang.Object

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Constructor Summary
`DeploymentContext(DeploymentFactoryContext factoryCtx, PortalWebApp pwa, java.net.URL url, javax.management.MBeanServer server)`

Method Summary
`void` | `create()`
`void` | `destroy()`
`DeploymentFactoryContext` | `getFactoryContext()`
`java.net.URL` | `getURL()`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeploymentContext

    public DeploymentContext(DeploymentFactoryContext factoryCtx,
                             PortalWebApp pwa,
                             java.net.URL url,
                             javax.management.MBeanServer server)

Method Detail

### getURL

    public java.net.URL getURL()

### getFactoryContext

    public DeploymentFactoryContext getFactoryContext()

### create

    public void create()
                throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### start

    public void start()
               throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### stop

    public void stop()
              throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### destroy

    public void destroy()
                 throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD